# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.spreadsheet
Class RowCount

    java.lang.Object
      com.google.gdata.data.spreadsheet.RowCount

All Implemented Interfaces:
  Extension

    public class RowCount

extends java.lang.Object
implements Extension

GData schema extension describing a spreadsheet's row count.

Field Summary
`static java.lang.String` `TAG_NAME` The name of the XML tag.

Constructor Summary
`RowCount()` Initializes to blank for XML parsing.
`RowCount(int count)` Initializes to a particular count.

Method Summary
`void` `generate(com.google.gdata.util.common.xml.XmlWriter w, ExtensionProfile extProfile)` Writes this cell as XML, omitting any unspecified fields.
`int` `getCount()` Gets the total count.
`static ExtensionDescription` `getDefaultDescription()` Returns the suggested extension description.
`XmlParser.ElementHandler` `getHandler(ExtensionProfile extProfile, java.lang.String namespace, java.lang.String localName, org.xml.sax.Attributes attrs)` Yields an XML handler for parsing a Cell element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TAG_NAME

    public static final java.lang.String TAG_NAME

  The name of the XML tag.

  See Also:
    Constant Field Values

Constructor Detail

### RowCount

    public RowCount()

  Initializes to blank for XML parsing.

### RowCount

    public RowCount(int count)

  Initializes to a particular count.

Method Detail

### getCount

    public int getCount()

  Gets the total count.

### getDefaultDescription

    public static ExtensionDescription getDefaultDescription()

  Returns the suggested extension description.

### generate

    public void generate(com.google.gdata.util.common.xml.XmlWriter w,
                         ExtensionProfile extProfile)
                  throws java.io.IOException

  Writes this cell as XML, omitting any unspecified fields.

  Specified by:
    `generate` in interface `Extension`
  Parameters:
    `w` - XML writer
    `extProfile` - extension profile
  Throws:
    `java.io.IOException`

### getHandler

    public XmlParser.ElementHandler getHandler(ExtensionProfile extProfile,
                                               java.lang.String namespace,
                                               java.lang.String localName,
                                               org.xml.sax.Attributes attrs)
                                        throws ParseException,
                                               java.io.IOException

  Yields an XML handler for parsing a Cell element.

  Specified by:
    `getHandler` in interface `Extension`
  Parameters:
    `extProfile` - extension profile
    `namespace` - extension namespace
    `localName` - tag name, without the namespace prefix
    `attrs` - tag attributes
  Returns:
    an element handler
  Throws:
    `ParseException` - when an unexpected tag or badly-formatted XML is detected
    `java.io.IOException`